<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
</head>
<body>
<script>
    var Data // Вот тут надо заполнить из template и отдать куда надо.

    // Получите адрес текущей страницы
    var url = window.location.href;
    var parts = url.split('/');
    var id = parts[parts.length - 1];

    // Чтение JSON файла
    fetch(`/data/${id}`)
        .then(response => response.json())
        .then(data => {
            // Инициализация графика
            Data = data
            console.log(Data);
            drawGraph();
        })
        .catch(error => {
            // Обработка ошибок
            console.error('Ошибка:', error);
        });

    // Функция для отрисовки графика при изменении выбранного значения списка
        function drawGraph() {
            var graphContainer = document.getElementById('graphContainer');

            // Поиск данных для выбранного merchantid

            const dates = Data.info.map(item => item.date);
            const prices = Data.info.map(item => parseFloat(item.price.replace(',', '.')));

            // Отрисовка графика с использованием Plotly
            const graphData = [
                {
                    x: dates,
                    y: prices,
                    type: 'scatter',
                    mode: 'lines+markers'
                }
            ];
            const graphLayout = {
                title: Data.merchantname,
                xaxis: {
                    title: 'Дата'
                },
                yaxis: {
                    title: 'Цена'
                }
            };
            Plotly.newPlot(graphContainer, graphData, graphLayout);
        }

</script>

<div id="graphContainer"></div>

</body>
</html>